var UpdateView = cc.Layer.extend({
    _size:null,
    _bg:null,
    _loadingBar:null,
    _tipLabel:null, 
    ctor:function()
    { 

        this._super();
        this._size = cc.winSize;

        // this._loadingBar = new ccui.LoadingBar(res.ui_nameBar2);
        // this._loadingBar.setName("loadingBar"); 
        // this._loadingBar.setAnchorPoint( cc.p( 0.5, 0.5 ) );
        // this._loadingBar.setPosition( this._size.width / 2.0, this._size.height * 0.1 )  ;
        // this._loadingBar.setScale9Enabled(true);
        // this._loadingBar.setCapInsets(cc.rect(3,3,34,26));
        // this._loadingBar.setContentSize(cc.size(800, 32));
 
        this._tipLabel = new cc.LabelTTF("Hello World", "Microsoft YaHei", 40);
        this._tipLabel.retain();
        this._tipLabel.enableShadow( cc.size(1, -1), 1, 2, 1 );
        this._tipLabel.setFontFillColor(cc.color(255, 255, 255));
        this._tipLabel.attr({
            x: this._size.width / 2,
            y: 120,
            anchorX: 0.5,
            anchorY: 0.5
        });

        this.showProgress();
        this.retain();
    },
    showProgress:function()
    {
        if(this._loadingBar != null && this._loadingBar.getParent() == null)
        {
            this.addChild(this._loadingBar);
        }
        if(this._tipLabel != null && this._tipLabel.getParent() == null)
        {
            this.addChild(this._tipLabel);
        }
    },
    hideProgress:function()
    {
        if(this._loadingBar != null)
        {
            this._loadingBar.removeFromParent(false);
        }
        if(this._tipLabel != null)
        {
            this._tipLabel.removeFromParent(false);
        }
    },
    setProgress:function(value)
    {
        // this._loadingBar.setPercent(value);
    },
    addProgress:function(value)
    {
        // var tmpP = this._loadingBar.getPercent() + value;
        // if(tmpP > 100)tmpP = 100;
        // setProgress(tmpP);
    },
    setTips:function(value)
    { 
        this._tipLabel.setString(value); 
    },
    dispose:function()
    { 
        if(this._tipLabel != null)
        {
            this._tipLabel.release();
            this._tipLabel = null;
        }
        if(this._loadingBar != null)
        {
            this._loadingBar.release();
            this._loadingBar = null;
        }
        if(this.getParent() != null)
        {
            this.removeFromParent(true);
        }
        this.release();
    }
});

